# Rti Lab Pdf Kit Js

Vanilla js library exporting Pdf viewer using [PDF.js](https://github.com/mozilla/pdf.js).

## Table of Contents

- [Rti Lab Pdf Kit Js](#rti-lab-pdf-kit-js)
  - [Table of Contents](#table-of-contents)
  - [Setup](#setup)
  - [Development](#development)
  - [Build](#build)
  - [Usage example](#usage-example)

## Setup

`nvm` and `pnpm` are required.

- Instal `nvm`.

- Run `nvm i` and `npm install -g pnpm`.

## Development

```bash
nvm use
pnpm install
```

During development run this command to start dev server with a sample application

```bash
pnpm dev
```

## Build

This project can build for `esm`, `commonjs`,`iife`, `umd` targeting `es6`. Additionally can target `es5` (`TARGET=es5 pnpm build`).

```bash
pnpm build-all
```

## Usage example

```tsx
import { PdfViewer } from "../src/index.js";

const container = document.getElementById("app") as HTMLDivElement;
const pdfViewer = new PdfViewer({ container });
pdfViewer.open("<pdf_url>").then(...).catch(...);
```
