import type { PDFDocumentProxy } from "pdfjs-dist";
import type { EventBus } from "pdfjs-dist/web/pdf_viewer.js";
export interface ReaderConfiguration {
    container: HTMLDivElement | undefined;
    eventBus: EventBus;
}
export declare class Reader {
    #private;
    constructor({ container, eventBus }: ReaderConfiguration);
    get pagesCount(): number;
    get page(): number;
    set page(val: number);
    private zoomIn;
    private zoomOut;
    private zoomReset;
    private goToNextPage;
    private goToPrevPage;
    private onSeekToPage;
    private onWheel;
    private onTouchStart;
    private onTouchMove;
    private onTouchEnd;
    private onKeyUp;
    private onKeyDown;
    private onDoubleClick;
    private onPagesInit;
    private onResize;
    setDocument(document: PDFDocumentProxy): void;
    close(): Promise<void>;
    release(): Promise<void>;
}
export default Reader;
